Tuesday, November 30, 2021
Archived Post

Some system extensions won’t be compatible with a future version of macOS

Apple has shared a new support document that says some system extensions will not be compatible with a future version of macOS (although no exact date has been set).

System extensions are a category of software that works in the background to extend the functionality of your Mac. Some apps install kernel extensions, which are a kind of system extension that works using older methods that aren’t as secure or reliable as modern alternatives. Your Mac identifies these as legacy system extensions.

In 2019, Apple informed developers that macOS Catalina will be the last macOS to fully support legacy system extensions, and we’ve been working with developers to transition their software. Apple says that by moving beyond these extensions, developers are helping “to further modernize the Mac, improve its security and reliability, and enable more user-friendly software distribution methods.”

Until the transition is complete, your Mac displays a message when a legacy system extension first loads, and again periodically while the extension remains in use. This gives you advance notice that existing software on your system loaded a system extension that will be incompatible with a future version of macOS.

Dennis Sellers
the authorDennis Sellers
Dennis Sellers is the editor/publisher of Apple World Today. He’s been an “Apple journalist” since 1995 (starting with the first big Apple news site, MacCentral). He loves to read, run, play sports, and watch movies.